<?php
// Innofit scripts
if( !function_exists('innofit_scripts_function'))
{
	function innofit_scripts_function(){
		// css
		wp_enqueue_style('bootstrap-min', INNOFIT_TEMPLATE_DIR_URI . '/css/bootstrap.min.css');
		wp_enqueue_style('innofit-style', get_stylesheet_uri() );
		wp_enqueue_style('innofit-default', INNOFIT_TEMPLATE_DIR_URI . '/css/default.css');
		wp_enqueue_style('innofit-font-awesome.min-css', INNOFIT_TEMPLATE_DIR_URI . '/css/font-awesome/css/font-awesome.min.css');
		//js
		wp_enqueue_script('bootstrap-min-js', INNOFIT_TEMPLATE_DIR_URI . '/js/bootstrap.min.js',array('jquery'));
		
		// Menu & page scroll js		
		wp_enqueue_script('innofit-menu-js', INNOFIT_TEMPLATE_DIR_URI . '/js/menu.js',array('jquery'));
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
		}
	}
}
add_action('wp_enqueue_scripts','innofit_scripts_function');

if ( ! function_exists( 'innofit_header_style' ) ) :

	function innofit_header_style() {
		$header_text_color = get_header_textcolor();

		// If no custom options for text are set, let's bail.
		// get_header_textcolor() options: add_theme_support( 'custom-header' ) is default, hide text (returns 'blank') or any hex value.
		if ( get_theme_support( 'custom-header', 'default-text-color' ) === $header_text_color ) {
			return;
		}

		// If we get this far, we have custom styles. Let's do this.
		?>
		<style type="text/css">
		<?php
		// Has the text been hidden?
		if ( 'blank' === $header_text_color ) :
			?>
		.container-fluid .site-branding-text .site-title a, .container-fluid .site-branding-text .site-title a:hover, .container-fluid .site-branding-text .site-description {
			position: absolute;
		}
			<?php
			// If the user has set a custom color for the text use that.
		else :
			?>
		.container-fluid .site-branding-text .site-title a, .container-fluid .site-branding-text .site-title a:hover, .container-fluid .site-branding-text .site-description {
			color: #<?php echo esc_attr( $header_text_color ); ?>;
		}
	<?php endif; ?>
	</style>
		<?php
	}
endif;
?>